Bug 1475286 - After updating gdk-pixbuf2, *.ico format support seems broken
After updating gdk-pixbuf2, *.ico format support seems broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdk-pixbuf2 (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 07:53 EDT by Stanislav Kontar
Modified: 2017-08-01 17:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: gdk-pixbuf2-2.36.7-2.fc26 gdk-pixbuf2-2.36.7-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 13:21:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer script (658 bytes, text/x-python)
2017-07-26 07:54 EDT, Stanislav Kontar
no flags Details
Reproducer icon (230.04 KB, image/ico)
2017-07-26 07:55 EDT, Stanislav Kontar
no flags Details
Actual result (11.15 KB, image/png)
2017-07-26 08:12 EDT, Stanislav Kontar
no flags Details
Expected result (10.94 KB, image/png)
2017-07-26 08:12 EDT, Stanislav Kontar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 785447 None None None 2017-07-26 09:38 EDT

  None (edit)
Description Stanislav Kontar 2017-07-26 07:53:29 EDT
Description of problem:
I have updated gdk-pixbuf2-2.36.6-1.fc25.x86_64 to gdk-pixbuf2-2.36.7-1.fc25.x86_64. Tray icons and notifications using icons in *.ico format stopped working correctly. They are in incorrect scale and color palette.

Version-Release number of selected component (if applicable):
gdk-pixbuf2-2.36.7-1.fc25.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Download reproducer code
2. Run reproducer code

Actual results:
See screenshots

Expected results:
See screenshots

Additional info:
The problem appeared after package update. I was able to downgrade to 2.36.0-1.fc25 and it fixed the problem.

Note:
I have previously thought that problem is in gtk3 component, but it is in gdk-pixbuf2.
Comment 1 Stanislav Kontar 2017-07-26 07:54 EDT
Created attachment 1304739 [details]
Reproducer script
Comment 2 Stanislav Kontar 2017-07-26 07:55 EDT
Created attachment 1304740 [details]
Reproducer icon
Comment 3 Stanislav Kontar 2017-07-26 08:12 EDT
Created attachment 1304746 [details]
Actual result
Comment 4 Stanislav Kontar 2017-07-26 08:12 EDT
Created attachment 1304747 [details]
Expected result
Comment 5 Kalev Lember 2017-07-26 08:58:43 EDT
Are you sure it's a gtk3 regression and not a gdk-pixbuf2 one? Latest gdk-pixbuf2 2.36.7 had a few related fixes that may have regressed this.

Can you try downgrading gtk3 and gdk-pixbuf2 and see which one fixes the problem, please?
Comment 6 Stanislav Kontar 2017-07-26 09:13:18 EDT
You are right. It is gdk-pixbuf2. Let me update the bug. Thanks!
Comment 7 Kalev Lember 2017-07-26 09:27:37 EDT
Thanks for checking that! In the mean time, I talked to upstream gdk-pixbuf maintainer and he asked to file an upstream bug and CC him, bugzilla@hadess.net -- could you do that please?

https://bugzilla.gnome.org/enter_bug.cgi?product=gdk-pixbuf
Comment 8 Fedora Update System 2017-07-27 03:34:57 EDT
gdk-pixbuf2-2.36.7-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6e69c8a5b
Comment 9 Fedora Update System 2017-07-27 03:35:06 EDT
gdk-pixbuf2-2.36.7-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8055e42994
Comment 10 Fedora Update System 2017-07-27 19:23:34 EDT
gdk-pixbuf2-2.36.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6e69c8a5b
Comment 11 Fedora Update System 2017-07-27 21:52:51 EDT
gdk-pixbuf2-2.36.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8055e42994
Comment 12 Fedora Update System 2017-07-28 13:21:22 EDT
gdk-pixbuf2-2.36.7-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-08-01 17:55:29 EDT
gdk-pixbuf2-2.36.7-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.